Package picard.vcf.filter

## Class AlleleBalanceFilter

- java.lang.Object
- - picard.vcf.filter.AlleleBalanceFilter

- All Implemented Interfaces:
    `VariantFilter`

      public class AlleleBalanceFilter
      extends Object
      implements VariantFilter

  Filters out a record if the allele balance for heterozygotes is out of a defined range across all samples. The threshold is set as the minimum fraction of the data drawn from the less-represented allele - e.g. 0.3 would set that whichever allele has lower representation across all heterozygous individuals must account for at least 30% of the total observations.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `AB_FILTER` | The filter string used for sites that fail the allele balance filter.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AlleleBalanceFilter​(double hetAlleleBalance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `filter​(htsjdk.variant.variantcontext.VariantContext ctx)` | Check to see if the VariantContext should have a filter applied to it.
    `List<htsjdk.variant.vcf.VCFFilterHeaderLine>` | `headerLines()` | Return VCF header lines that define filters that may be applied by the VariantFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AB_FILTER

          public static final String AB_FILTER

      The filter string used for sites that fail the allele balance filter.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AlleleBalanceFilter

          public AlleleBalanceFilter​(double hetAlleleBalance)

  - ### Method Detail

    - #### headerLines

          public List<htsjdk.variant.vcf.VCFFilterHeaderLine> headerLines()

      Description copied from interface: `VariantFilter`
      Return VCF header lines that define filters that may be applied by the VariantFilter.
      Specified by:
        `headerLines` in interface `VariantFilter`

    - #### filter

          public String filter​(htsjdk.variant.variantcontext.VariantContext ctx)

      Description copied from interface: `VariantFilter`
      Check to see if the VariantContext should have a filter applied to it. If so return the filter string, otherwise return null.
      Specified by:
        `filter` in interface `VariantFilter`